<?php
/**
* @package   yoo_uniq
* @author    YOOtheme http://www.yootheme.com
* @copyright Copyright (C) YOOtheme GmbH
* @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
*/

$special_blog = $this['config']->get('article') == 'tm-article-blog';
?>

<?php if ($special_blog) : // special layout: article container ?>
<article class="uk-article tm-panel-large" <?php if ($permalink) echo 'data-permalink="'.$permalink.'"'; ?>>
	<div class="uk-panel uk-panel-box">
<?php else : // default layout: article container ?>
<article class="uk-article" <?php if ($permalink) echo 'data-permalink="'.$permalink.'"'; ?>>
<?php endif; ?>

	<?php if ($image && $image_alignment == 'none') : // featured image?>

		<?php if ($url) : // overview ?>
			<?php if ($special_blog) : // special layout ?>
				<a class="tm-featured-image uk-panel-teaser uk-margin-large-bottom" href="<?php echo $url; ?>" title="<?php echo $image_caption; ?>"><img src="<?php echo $image; ?>" alt="<?php echo $image_alt; ?>"></a>
			<?php else: // default layout ?>
				<a href="<?php echo $url; ?>" title="<?php echo $image_caption; ?>"><img src="<?php echo $image; ?>" alt="<?php echo $image_alt; ?>"></a>
			<?php endif; ?>

		<?php else : // single view ?>
			<?php if ($special_blog) : // special layout ?>
				<span class="tm-featured-image uk-panel-teaser uk-margin-large-bottom"><img src="<?php echo $image; ?>" alt="<?php echo $image_alt; ?>"></span>
			<?php else: // default layout ?>
				<img src="<?php echo $image; ?>" alt="<?php echo $image_alt; ?>">
			<?php endif; ?>
		<?php endif; ?>

	<?php endif; ?>


	<?php if ($title) : ?>
	<h1 class="uk-article-title <?php echo $special_blog ? 'uk-margin-bottom' : ''; ?>">
		<?php if ($url && $title_link) : ?>
			<a href="<?php echo $url; ?>" title="<?php echo $title; ?>"><?php echo $title; ?></a>
		<?php else : ?>
			<?php echo $title; ?>
		<?php endif; ?>
	</h1>
	<?php endif; ?>


	<?php echo $hook_aftertitle; ?>


	<?php if (!$special_blog && ($author || $date)) : // default layout: meta information?>
	<p class="uk-article-meta">
		<?php
			$author   = ($author && $author_url) ? '<a href="'.$author_url.'">'.$author.'</a>' : $author;
			$date     = ($date) ? ($datetime ? '<time datetime="'.$datetime.'">'.JHtml::_('date', $date, JText::_('DATE_FORMAT_LC3')).'</time>' : JHtml::_('date', $date, JText::_('DATE_FORMAT_LC3'))) : '';

			if($author && $date) {
				printf(JText::_('TPL_WARP_META_AUTHOR_DATE'), $author, $date);
			} elseif ($author) {
				printf(JText::_('TPL_WARP_META_AUTHOR'), $author);
			} elseif ($date) {
				printf(JText::_('TPL_WARP_META_DATE'), $date);
			}
		?>
	</p>
	<?php endif; ?>


	<?php if ($image && $image_alignment != 'none') : // featured image left/right ?>
		<?php if ($url) : // overview ?>
			<a class="uk-align-<?php echo $image_alignment; ?>" href="<?php echo $url; ?>" title="<?php echo $image_caption; ?>"><img src="<?php echo $image; ?>" alt="<?php echo $image_alt; ?>"></a>
		<?php else : // single view ?>
			<img class="uk-align-<?php echo $image_alignment; ?>" src="<?php echo $image; ?>" alt="<?php echo $image_alt; ?>">
		<?php endif; ?>
	<?php endif; ?>


	<?php echo $hook_beforearticle; ?>


	<?php if ($article) : ?>
		<?php echo $article; ?>
	<?php endif; ?>


	<?php if (!$special_blog && $category) : // default layout: category ?>
	<p class="uk-text-small">
		<?php
			$category = ($category && $category_url) ? '<a href="'.$category_url.'">'.$category.'</a>' : $category;
			if ($category) {
				echo ' ';
				printf(JText::_('TPL_WARP_META_CATEGORY'), $category);
			}
		?>
	</p>
	<?php endif; ?>


	<?php if (!$special_blog && $tags) : // default layout: tags ?>
	<p><?php echo JText::_('TPL_WARP_TAGS').': '.$tags; ?></p>
	<?php endif; ?>


	<?php if ($more) : ?>
	<p <?php echo $special_blog ? 'class="uk-margin-small-top"' : ''; ?>>
		<a <?php echo !$special_blog ? 'class="uk-button"': ''; ?> href="<?php echo $url; ?>" title="<?php echo $title; ?>"><?php echo $more; ?></a>
	</p>
	<?php endif; ?>


	<?php if ($special_blog && ($author || $date || $category || $more || $tags)) : // special layout: meta information ?>
	<hr class="uk-margin-top uk-margin-bottom">
    <div class="tm-article-meta">
        <?php
            $author   = ($author && $author_url) ? '<a href="'.$author_url.'">'.$author.'</a>' : $author;
            $date     = ($date) ? ($datetime ? '<span><time datetime="'.$datetime.'">'.JHtml::_('date', $date, JText::_('DATE_FORMAT_LC3')).'</time></span>' : JHtml::_('date', $date, JText::_('DATE_FORMAT_LC3'))) : '';
            $category = ($category && $category_url) ? '<span><a href="'.$category_url.'">'.$category.'</a></span>' : $category;
            if ($author) { echo '<span>'.$author.'</span>'; }
            if ($date) { echo $date; }
            if ($category) { echo $category; }
			if ($tags) { echo '<span>' .JText::_('TPL_WARP_TAGS').'</span>'.': '.$tags; }
        ?>
    </div>
	<?php endif; ?>


	<?php if ($edit) : ?>
	<p><?php echo $edit; ?></p>
	<?php endif; ?>


	<?php if ($previous || $next) : ?>
	<ul class="uk-pagination">
	    <?php if ($previous) : ?>
	    <li class="uk-pagination-previous">
	        <a href="<?php echo $previous; ?>" title="<?php echo JText::_('JPREV') ?>">
	            <i class="uk-icon-arrow-left"></i>
	            <?php echo JText::_('JPREV') ?>
	        </a>
	    </li>
	    <?php endif; ?>

	    <?php if ($next) : ?>
	    <li class="uk-pagination-next">
	        <a href="<?php echo $next; ?>" title="<?php echo JText::_('JNEXT') ?>">
	            <?php echo JText::_('JNEXT') ?>
	            <i class="uk-icon-arrow-right"></i>
	        </a>
	    </li>
	    <?php endif; ?>
	</ul>
	<?php endif; ?>


	<?php echo $hook_afterarticle; ?>


	<?php if ($special_blog) : // special layout: closing container ?>
	</div>
	<?php endif; ?>


</article>
